{{
I use GPS_IO_mini (a modified version) a lot to extract GPS and wind data, and it works well.
Consider GPS_to_VGA can be adapted to be used with PC terminal with little changes. In place of the VGA object use the serial terminal.
Many methods are the same or very similar, so for the first tests you could try to adapt it.
I had problems in the past with this object because the stack space is very tight, so the object as it is works, while if you modify it you
can have strange issues. Just to be safe increase the stack space before changing the code.

The "A" on the GPGGA means the GPS position is valid, so you log only in this case.

For SD logging you need a SD adapter. There are a lot of options around and all are ok.
The SD objects are quite forgiving, for instance I have a veroboard adapter with no pull ups working happily with fsrw.
There are even examples on the web of microSD adapters used as sockets and soldered directly....

the line you mentioned
sdfat.popen(@fname, "a")
opens the file with the name string pointed by @fname.
the "a" means the file is opened in append mode (the new data is added at the end of the file).

I found this modified program I used for the first tests with the GPS, I guess I adapted the existing code.
Not very elegant but it should work and get you started:
You have to configure the serial comm with the NMEA/GPS unit in the GPS_IO_mini object.

pst.start =>115200 (baud?) was 57600 => DATA!! zonder getallen
GPS_IO_mini in Constants: serRecv   = 7

Conto: 83
Valid A
Latitude            
Longitude           
GPS Altitude
Speed 00.0
Satellites
Time GMT
Date 150112
Heading 078

received sentences don't match with GPS_IO_mini; GGA, RMC, PGRMZ
GPS_IO_mini
PGRMZ is not used; no effect when commented out
GGA is not used; no effect when commented out
RMC delivers data: all numbers dissapear... why no lat/lon

$IIRMC,110857,A,5217.977,N,00515.917,E,00.0,284,150112,00,E,A*08
          0   1    2     3     4     5  6    7     8    9 10 11
$IIVWR,079,R,00.0,N,,,,*6F
         0 1  2   3     4
$IIGLL,5217.977,N,00515.917,E,110857,A,A*5C
          0     1     2     3    4   5  6
$IIMWV,079,R,03.6,N,A*18
         0 1  2   3  4
$IIMWV,079,T,04.2,N,A*1D
         0 1  2   3  4  
RMC, hhmmss,A(Valid),Latitude,N(orth),Longitude,E(ast),0.00(Speedknots), 327(CourseDegreesTrue),(Date),00(MagneticVariation),E(ast),A*08(Checksum)
$IIMWV,079(degrees),R(elative),4.2, N(autical Miles), A (Valid)*1D(checksum)

Date 150112
Conto,Valid,TimeGMT,Lat,Lon,Speed,Heading,AWA,AWS
                                   VWRa = 1, 2   
34, A, , 5217.976, 00515.930, 00.0, 259, L, 02.3,
                                   VWRa = 0, 2
5, A, , 5217.976, 00515.930, 00.0, 121, IIVWR, L,
6, A, , 5217.976, 00515.930, 00.0, 121, IIVWR, R,

}}

CON
      _clkmode = xtal1 + pll16x
      _xinfreq = 5_000_000


OBJ
      pst : "Parallax Serial Terminal"
      gps  : "GPS_IO_mini"

var
    long i  

pub main | gmt
    waitcnt(clkfreq*5 + cnt)                           'delay (5 secs) to get terminal program running (if required)

    gps.start
    pst.Start(115200)                          'EH: 57600 => 115200
    i:=0
    pst.str((string("Date ")))
    pst.str(gps.date)
    pst.str(String(13))
    pst.Str(String("Conto,Valid,TimeGMT,Lat,Lon,Speed,Heading,AWA,AWS"))
    pst.str(String(13))
    repeat
      
      pst.dec(i++)
      pst.str((string(", ")))       
      pst.str(gps.valid)
      pst.str((string(", "))) 
      pst.str(gps.time)
      pst.str((string(", "))) 
      pst.str(gps.latitude)
      pst.str((string(", "))) 
      pst.str(gps.longitude)
      pst.str((string(", "))) 
      pst.str(gps.speed)
      pst.str((string(", "))) 
      pst.str(gps.heading)
      pst.str((string(", ")))
      pst.str(gps.AWA)
      pst.str((string(", "))) 
      pst.str(gps.AWS)
      pst.str(String(13))
        
      
      waitcnt(clkfreq + cnt)       